Sandbox Validated API
Live-tested endpoints validated against sandbox with Newman.
cURL
curl --request POST \ --url https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/capture \ --header 'Content-Type: application/json' \ --header 'X-Idempotency-Key: <x-idempotency-key>' \ --data ' { "merchant_reference": "capture-001", "reason": "PRODUCT_CONFIRMED", "amount": { "currency": "USD", "value": 10000 } } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "status": "<string>", "type": "PURCHASE", "amount": { "currency": "<string>", "value": 123 }, "created_at": "2023-11-07T05:31:56Z" }
Captures a previously authorized payment. Charges the customer.
Unique UUID per request. Prevents duplicate processing on retries.
3 - 255
PRODUCT_CONFIRMED
REQUESTED_BY_CUSTOMER
Show child attributes
Payment captured
PURCHASE
CAPTURE
CANCEL
REFUND
VERIFY
Was this page helpful?
Contact support